Bug 43921 - [4.5/4.6 regression] Bootstrap comparison fails when using -march=atom
Summary: [4.5/4.6 regression] Bootstrap comparison fails when using -march=atom
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.5.0
: P3 normal
Target Milestone: 4.5.1
Assignee: Not yet assigned to anyone
URL: http://gcc.gnu.org/ml/gcc-patches/201...
Keywords: build
Depends on:
Blocks:
 
Reported: 2010-04-28 09:30 UTC by Nils Larsson
Modified: 2010-05-02 13:39 UTC (History)
4 users (show)

See Also:
Host:
Target: i?86-*-* x86_64-*-*
Build:
Known to work:
Known to fail:
Last reconfirmed: 2010-04-28 13:52:07


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nils Larsson 2010-04-28 09:30:46 UTC
When I try to build gcc-4.5 with gcc-4.5 using -march=atom it fails when comparing stage2 and 3: 

Comparing stages 2 and 3
warning: gcc/cc1plus-checksum.o differs
warning: gcc/cc1-checksum.o differs
Bootstrap comparison failure!
gcc/graphite-interchange.o differs
gcc/dwarf2out.o differs
gcc/tree-cfg.o differs
gcc/gcc.o differs
gcc/ipa-struct-reorg.o differs
gcc/tree-outof-ssa.o differs
gcc/reg-stack.o differs
gcc/cgraphbuild.o differs
gcc/profile.o differs
gcc/sched-rgn.o differs
gcc/cfgexpand.o differs
gcc/collect2.o differs
gcc/sched-ebb.o differs
gcc/tree-ssa-ccp.o differs
gcc/omega.o differs
gcc/tree-if-conv.o differs
gcc/tree-vect-slp.o differs
gcc/tree-ssa-reassoc.o differs
gcc/tree-ssa-structalias.o differs
gcc/fortran/trans-io.o differs
gcc/fortran/trans.o differs
gcc/fortran/arith.o differs
gcc/fortran/decl.o differs
gcc/tree-ssa-loop-ivopts.o differs
gcc/gimple-pretty-print.o differs
gcc/tree-switch-conversion.o differs
gcc/graph.o differs
gcc/cp/call.o differs
gcc/c-lex.o differs
gcc/opts.o differs
gcc/varasm.o differs
gcc/tree-vect-loop-manip.o differs
gcc/bt-load.o differs
gcc/diagnostic.o differs
gcc/tree-ssa-live.o differs
gcc/tree-ssa-dom.o differs
gcc/reload.o differs
gcc/tree-parloops.o differs
gcc/tree-pretty-print.o differs
gcc/params.o differs
gcc/builtins.o differs
gcc/lto-streamer-in.o differs
gcc/sched-deps.o differs
gcc/haifa-sched.o differs
gcc/cse.o differs
gcc/ipa-prop.o differs
gcc/c-pragma.o differs
gcc/tree-vrp.o differs
gcc/c-common.o differs
gcc/print-tree.o differs
gcc/tree-affine.o differs
gcc/graphite-clast-to-gimple.o differs
gcc/tree-eh.o differs
gcc/c-parser.o differs
gcc/tree-phinodes.o differs
gcc/tree-data-ref.o differs
gcc/lambda-code.o differs
gcc/build/gengtype-parse.o differs
gcc/ipa-type-escape.o differs
gcc/ipa-cp.o differs
gcc/tree-inline.o differs
libcpp/files.o differs
libcpp/traditional.o differs
libcpp/lex.o differs
libcpp/charset.o differs
libiberty/regex.o differs
libiberty/pic/regex.o differs
make[2]: *** [compare] Fel 1
make[2]: Leaving directory `/tmp/portage/sys-devel/gcc-4.5.0/work/build'
make[1]: *** [stage3-bubble] Fel 2
make[1]: Leaving directory `/tmp/portage/sys-devel/gcc-4.5.0/work/build'
make: *** [bootstrap-lean] Fel 2

Initially gcc-4.5 was built with gcc-4.4.3 using -march=core2 -mtune=generic.

This is my first GCC bug report so I'm not sure what else I need to provide.
Comment 1 H.J. Lu 2010-04-28 18:24:22 UTC
A patch is posed at

http://gcc.gnu.org/ml/gcc-patches/2010-04/msg01755.html
Comment 2 hjl@gcc.gnu.org 2010-04-29 12:51:25 UTC
Subject: Bug 43921

Author: hjl
Date: Thu Apr 29 12:51:09 2010
New Revision: 158900

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=158900
Log:
Replace INSN_P with NONDEBUG_INSN_P.

2010-04-29  H.J. Lu  <hongjiu.lu@intel.com>

	PR target/43921
	* config/i386/i386.c (get_some_local_dynamic_name): Replace
	INSN_P with NONDEBUG_INSN_P.
	(distance_non_agu_define): Likewise.
	(distance_agu_use): Likewise.

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/config/i386/i386.c

Comment 3 Nils Larsson 2010-04-29 15:21:55 UTC
I can confirm that the patch above applies and gcc-4.5 now complies successfully.
Comment 4 hjl@gcc.gnu.org 2010-05-02 13:38:10 UTC
Subject: Bug 43921

Author: hjl
Date: Sun May  2 13:37:57 2010
New Revision: 158973

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=158973
Log:
Replace INSN_P with NONDEBUG_INSN_P.

2010-05-02  H.J. Lu  <hongjiu.lu@intel.com>

	Backport from mainline
	2010-04-29  H.J. Lu  <hongjiu.lu@intel.com>

	PR target/43921
	* config/i386/i386.c (get_some_local_dynamic_name): Replace
	INSN_P with NONDEBUG_INSN_P.
	(distance_non_agu_define): Likewise.
	(distance_agu_use): Likewise.

Modified:
    branches/gcc-4_5-branch/gcc/ChangeLog
    branches/gcc-4_5-branch/gcc/config/i386/i386.c

Comment 5 H.J. Lu 2010-05-02 13:39:44 UTC
Fixed.